IOSS 2.0

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
Ioss::CompositeVariableType Class Reference

`#include <Ioss_CompositeVariableType.h>`

## Public Member Functions
std::string | label (int which, char suffix_sep='_') const override
| CompositeVariableType (const std::string &my_name, int number_components, bool delete_me)
| CompositeVariableType (const VariableType *base_type, int copies, bool delete_me)
const VariableType * | GetBaseType () const
int | GetNumCopies () const
Public Member Functions inherited from Ioss::VariableType
virtual | ~VariableType ()
int | component_count () const
virtual int | suffix_count () const
std::string | name () const
virtual std::string | label_name (const std::string &base, int which, char suffix_sep='_') const
virtual bool | match (const std::vector< Suffix > &suffices) const

## Static Public Member Functions
static std::string | composite_name (const std::string &base, int copies)
static VariableType * | composite_variable_type (const VariableType *inst, int copies)
Static Public Member Functions inherited from Ioss::VariableType
static void | alias (const std::string &base, const std::string &syn)
static int | describe (NameList *names)
| Get the names of variable types known to IOSS. More...
static bool | create_named_suffix_field_type (const std::string &type_name, const std::vector< std::string > &suffices)
static bool | get_field_type_mapping (const std::string &field, std::string *type)
static bool | add_field_type_mapping (const std::string &raw_field, const std::string &raw_type)
static std::string | numeric_label (int which, int ncomp, const std::string &name)
static const VariableType * | factory (const std::string &raw_name, int copies=1)
static const VariableType * | factory (const std::vector< Suffix > &suffices)

## Private Member Functions
| CompositeVariableType (const CompositeVariableType &)

## Private Attributes
const VariableType * | baseType
int | copies_

## Additional Inherited Members
Protected Member Functions inherited from Ioss::VariableType
| VariableType (const std::string &type, int comp_count, bool delete_me=false)
Static Protected Member Functions inherited from Ioss::VariableType
static Registry & | registry ()

## Constructor & Destructor Documentation

## ◆ CompositeVariableType() [1/3]

Ioss::CompositeVariableType::CompositeVariableType | ( | const std::string & | my_name,
|  | int | number_components,
|  | bool | delete_me
| ) |  |

## ◆ CompositeVariableType() [2/3]

Ioss::CompositeVariableType::CompositeVariableType | ( | const VariableType * | base_type,
|  | int | copies,
|  | bool | delete_me
| ) |  |

## ◆ CompositeVariableType() [3/3]

Ioss::CompositeVariableType::CompositeVariableType | ( | const CompositeVariableType & |  | ) |
| private

## Member Function Documentation

## ◆ composite_name()

std::string Ioss::CompositeVariableType::composite_name | ( | const std::string & | base,
|  | int | copies
| ) |  |
| static

## ◆ composite_variable_type()

VariableType * Ioss::CompositeVariableType::composite_variable_type | ( | const VariableType * | inst,
|  | int | copies
| ) |  |
| static

## ◆ GetBaseType()

const VariableType * Ioss::CompositeVariableType::GetBaseType | ( |  | ) | const

## ◆ GetNumCopies()

int Ioss::CompositeVariableType::GetNumCopies | ( |  | ) | const

## ◆ label()

std::string Ioss::CompositeVariableType::label | ( | int | which,
|  | char | suffix_sep = `'_'`
| ) |  | const
| override virtual

Implements Ioss::VariableType.

## Member Data Documentation

## ◆ baseType

const VariableType* Ioss::CompositeVariableType::baseType
| private

## ◆ copies_

int Ioss::CompositeVariableType::copies_
| private

The documentation for this class was generated from the following files:

- src/Ioss_CompositeVariableType.h
- src/Ioss_CompositeVariableType.C